org.glassfish.jersey.server

## Class TracingUtils

- java.lang.Object
- - org.glassfish.jersey.server.TracingUtils

    public final class TracingUtils
    extends Object

Utilities for tracing support.

Since:
  2.3
Author:
  Libor Kramolis

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `initTracingSupport(TracingConfig type, org.glassfish.jersey.message.internal.TracingLogger.Level appThreshold, ContainerRequest containerRequest)` According to configuration/request header it initialize `TracingLogger` and put it to the request properties.
`static void` `logStart(ContainerRequest request)` Log tracing messages START events.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initTracingSupport

    public static void initTracingSupport(TracingConfig type,
                                          org.glassfish.jersey.message.internal.TracingLogger.Level appThreshold,
                                          ContainerRequest containerRequest)

According to configuration/request header it initialize `TracingLogger` and put it to the request properties.

Parameters:
  `type` - application-wide tracing configuration type.
  `appThreshold` - application-wide tracing level threshold.
  `containerRequest` - request instance to get runtime properties to store `TracingLogger` instance to if tracing support is enabled for the request.

#### logStart

    public static void logStart(ContainerRequest request)

Log tracing messages START events.

Parameters:
  `request` - container request instance to get runtime properties to check if tracing support is enabled for the request.